#### D.8.6.12 sqfrNormMain

Procedure from library `zeroset.lib` (see zeroset_lib).

Usage:
  sqfrNorm(f); where f is a polynomial

Purpose:
  compute the norm of the squarefree polynomial f in Q(a)[x].

Return:
  list with 3 entries

        _[1] = squarefree norm of g (poly)
        _[2] = g (= f(x - s*a)) (poly)
        _[3] = s (int)

Assume:
  f must be squarefree, basering = Q[x,a] and ideal mpoly is equal to 'minpoly', this represents the ring Q(a)[x] together with 'minpoly'.

Note:
  the norm is an element of Q[x]

User manual for Singular version 4-0-3, 2016, generated by texi2html.